Unity works slow during heavy system IO (busy disk or network)

Bug #1000164 reported by Nicholas Shatokhin on 2012-05-16
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Unity
Incomplete
Undecided
Unassigned
firefox (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned

Bug Description

You can see that I have new computer with core i5 and 8GB DDR3 memory, but I see slow work of Unity.

My top's screen:

top - 13:21:10 up 1:02, 3 users, load average: 15.14, 10.00, 5.61
Tasks: 247 total, 1 running, 242 sleeping, 0 stopped, 4 zombie
Cpu(s): 6.0%us, 1.7%sy, 0.0%ni, 15.7%id, 76.5%wa, 0.0%hi, 0.0%si, 0.0%st
Mem: 8157416k total, 7084848k used, 1072568k free, 215372k buffers
Swap: 8388604k total, 0k used, 8388604k free, 3847924k cached

  PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
 2243 robotex 9 -11 163m 7932 6140 S 8 0.1 0:41.81 pulseaudio
 1094 root 20 0 157m 28m 10m S 5 0.4 3:15.86 Xorg
 2237 robotex 20 0 369m 66m 28m S 5 0.8 3:42.66 compiz
 5253 robotex 20 0 408m 63m 34m S 3 0.8 0:39.43 iron
 5082 robotex 20 0 364m 93m 26m S 2 1.2 0:46.64 skype
 2338 robotex 20 0 180m 22m 10m S 2 0.3 1:46.12 unity-panel-ser
 2340 robotex 20 0 68692 7804 3408 S 1 0.1 0:58.19 hud-service
 5009 robotex 20 0 167m 17m 11m S 1 0.2 0:01.35 gnome-terminal
 7331 robotex 20 0 205m 57m 32m S 1 0.7 0:02.87 apport-gtk
 2208 robotex 20 0 8588 4484 620 S 1 0.1 0:33.23 dbus-daemon
 2270 robotex 20 0 159m 10m 8068 S 1 0.1 0:38.28 indicator-multi
 7999 robotex 20 0 2836 1236 884 R 1 0.0 0:00.09 top
   11 root 20 0 0 0 0 S 0 0.0 0:08.16 kworker/0:1
 1059 mysql 20 0 332m 82m 6208 S 0 1.0 0:01.66 mysqld
 2308 robotex 20 0 152m 10m 7712 S 0 0.1 0:07.19 bamfdaemon
 5074 robotex 20 0 73820 16m 9720 S 0 0.2 0:02.31 python
 5517 robotex 20 0 300m 68m 22m S 0 0.9 1:52.42 iron

Load average is a very large.

In moments, when system works very slow I see in iotop that many processes uses IO on 99,9%. So, I think that problem somewhere in working with IO devices. (Maybe problem in HDD system?)

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: unity 5.12-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-24.37-generic-pae 3.2.14
Uname: Linux 3.2.0-24-generic-pae i686
.tmp.unity.support.test.0:

ApportVersion: 2.0.1-0ubuntu7
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,decor,compiztoolbox,snap,colorfilter,text,workarounds,neg,copytex,annotate,clone,commands,gnomecompat,move,place,regex,resize,rotate,screenshot,imgpng,water,zoom,grid,imgsvg,unitymtgrabhandles,expo,winrules,kdecompat,session,vpswitch,mousepoll,shift,ezoom,resizeinfo,mag,switcher,thumbnail,wall,ring,fade,scale,unityshell,scaleaddon,opacify]
CompositorRunning: compiz
Date: Wed May 16 13:20:29 2012
DistUpgraded: 2012-04-27 13:58:27,499 DEBUG enabling apt cron job
DistroCodename: precise
DistroVariant: ubuntu
DkmsStatus:
 virtualbox, 4.1.12, 3.0.0-17-generic-pae, i686: installed
 virtualbox, 4.1.12, 3.2.0-24-generic-pae, i686: installed
GraphicsCard:
 Intel Corporation Core Processor Integrated Graphics Controller [8086:0042] (rev 18) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Device [1043:8383]
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
MachineType: System manufacturer System Product Name
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.2.0-24-generic-pae root=UUID=a4cb5a27-10a2-4ca3-8de3-2703f24cd560 ro quiet splash vt.handoff=7
SourcePackage: unity
UpgradeStatus: Upgraded to precise on 2012-04-27 (18 days ago)
dmi.bios.date: 08/18/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1101
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: P7H55-M
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev X.0x
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1101:bd08/18/2010:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP7H55-M:rvrRevX.0x:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
version.compiz: compiz 1:0.9.7.8-0ubuntu1
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Nicholas Shatokhin (robotex) wrote :
Nicholas Shatokhin (robotex) wrote :

As I said before, something wrong with HDD. In attachment my iotop window after reading or writing HDD operations. When HDD reads/writes, any other processes can't access disk in this moment and 10-20 minutes after this moment. So, any disk operation takes very much time.

Nicholas Shatokhin (robotex) wrote :

Hm, when I closed firefox, all starts to work good. But the next disk access operation with closed firefox, I started to see the same picture (but it corrected after 1 munute (not 10-20)). So, maybe it is combination of problems in firefox and Ubuntu disk system?

Nicholas Shatokhin (robotex) wrote :

Hm, when I tryed to close firefox in another time, problem hasn't gone. But problem has gone when I unmounted truecrypt's volume.

Nicholas Shatokhin (robotex) wrote :

I think, the problem is related to loop devices.

Nicholas Shatokhin (robotex) wrote :

I see problem when I do "svn up" on truecrypt volume. When I only write to truecrypt volume (for i.e. compiling), I don't see this problem. I didn't test "svn up" on non loop device.

Daniel van Vugt (vanvugt) wrote :

I'm fairly sure this is a duplicate, but I can't find the older version of the bug right now. I also remember many people talking about the problem being the default kernel scheduling algorithm. But let's leave the bug attached to Unity for now because it's possible Unity is indirectly accessing the disk when that really should be avoided (for this very reason).

summary: - Unity works slow on my powerful PC
+ Unity works slow during heavy system IO (busy disk or network)
Daniel van Vugt (vanvugt) wrote :

Also, Firefox used to have very serious problems with forcing disk syncs, which made it feel extremely slow and impacted the whole system. I thought that Firefox would have fixed that by now[1], but if it still causes you problems then consider using a different browser.

[1] https://bugzilla.mozilla.org/show_bug.cgi?id=421482

Daniel van Vugt (vanvugt) wrote :

See also, similar problems with the HUD: bug 998759

Gary Kline (kline) wrote :

Same problem with firefox and even one konsole:: Slow. i thought this had been resolved.

Bilal Akhtar (bilalakhtar) wrote :

So this happens only with Firefox? Gary above says it happens with a (kde?) konsole too.

Changed in unity (Ubuntu):
status: New → Incomplete
Changed in unity:
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in firefox (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers